/*
 * Dev_Conf.h
 *
 *  Created on: 2025/01/16
 *      Author: egaono-electronics
 */

#ifndef DEV_CONF_H_
#define DEV_CONF_H_


//--------------------------------------
// 使用するCPUの選択
//--------------------------------------
// STM32F405VG
//--------------------------------------
#define def_USE_F405VG
//--------------------------------------

//--------------------------------------------------
// HALヘッダの定義
//--------------------------------------------------
#define def_Header_HAL  "stm32f4xx_hal.h"
//--------------------------------------------------

//--------------------------------------------------
// Peripheralヘッダの定義
//--------------------------------------------------
//--------------------------------------------------


//------------------------------------------------------
// CPU動作周波数の定義
//------------------------------------------------------
#define def_SystemClock    168000000  // 最高速
//------------------------------------------------------


//--------------------------------------------------------------
// ST LEDの定義
//--------------------------------------------------------------
//----------------------------------------------------------
// ST LEDのポートとピンの定義 : Base-F405VG基板のST1
//----------------------------------------------------------
#define  def_GPIOx_LED_ST       GPIOA
#define  def_GPIO_PIN_x_LED_ST  GPIO_PIN_7

#define def_GPIOx_CLK_ENABLE_LED_ST()  \
	                    __HAL_RCC_GPIOA_CLK_ENABLE()
//----------------------------------------------------------
//--------------------------------------------------------------


//--------------------------------------------------------------
// User Switchの定義
//--------------------------------------------------------------
//----------------------------------------------------------
// User Switchのポートとピンの定義 :
//                      Base-F405VG基板のSW1 : USER
//----------------------------------------------------------
#define def_GPIOx_USW       GPIOC
#define def_GPIO_PIN_x_USW  GPIO_PIN_13

#define def_GPIOx_CLK_ENABLE_USW()  \
	                    __HAL_RCC_GPIOC_CLK_ENABLE()
//----------------------------------------------------------


//--------------------------------------------------
// User Switch検出の定義
//--------------------------------------------------
#define def_H_Det_USW  "Detects_Pressed_USW.h"

#define def_M_Init_USW  Init_USW
#define def_M_Detect_USW  Detects_Pressed_USW

#define def_USW_OFF  GPIO_PIN_SET
#define def_USW_ON   GPIO_PIN_RESET
//--------------------------------------------------
//--------------------------------------------------------------



//----------------------------------------------------------
// PWMに使用するGPIOポートとピンの定義 : Beep
//----------------------------------------------------------
// CH1
#define def_GPIOx_CLK_ENABLE_Beep_PWM_CH()  \
                        __HAL_RCC_GPIOA_CLK_ENABLE()


#define  def_GPIOx_Beep_PWM_CH    GPIOA

#define  def_GPIO_PIN_x_Beep_PWM_CH    GPIO_PIN_6
//----------------------------------------------------------



//----------------------------------------------------------
// I2C1の定義
//----------------------------------------------------------

//--------------------------------------------------
// 使用ピンの定義 : I2C1
//--------------------------------------------------
#define  def_GPIOx_I2C1_SCL  GPIOB
#define  def_GPIOx_I2C1_SDA  GPIOB


#define  def_GPIO_PIN_I2C1_SCL  GPIO_PIN_6
#define  def_GPIO_PIN_I2C1_SDA  GPIO_PIN_7
//--------------------------------------------------


#define def_I2C1_OwnAddress		0x30


// 送信Bufferのサイズ : I2C1
#define def_I2C1_TxBufferSize 64

// 受信Bufferのサイズ : I2C1
#define def_I2C1_RxBufferSize 64


//------------------------------------------------------
// I2C の使用ピンを Pull Up 設定にする場合、宣言する。
//------------------------------------------------------
#define def_I2C1_PULLUP
//----------------------------------------------------------


#endif /* DEV_CONF_H_ */
